package com.diaoyun.zion.chinafrica.entity;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * 税费管理实体
 * 表名 tb_cf_tax
 *
 * @author G
 * @date 2019-08-14 09:11:48
 */
public class TbCfTaxEntity implements Serializable {
    private static final long serialVersionUID = 1L;

    /**
     * 税务id
     */
    private String taxId;
    /**
     * 商品类型id
     */
    private String categoryId;
    /**
     * 商品类型名
     */
    private String categoryName;
    /**
     * 起征点
     */
    private BigDecimal mixAmount;
    /**
     * 税率
     */
    private BigDecimal taxRate;
    /**
     * 启用状态
     */
    private Integer enableFlag;

    /**
     * 设置：税务id
     */
    public void setTaxId(String taxId) {
        this.taxId = taxId;
    }

    /**
     * 获取：税务id
     */
    public String getTaxId() {
        return taxId;
    }
    /**
     * 设置：商品类型id
     */
    public void setCategoryId(String categoryId) {
        this.categoryId = categoryId;
    }

    /**
     * 获取：商品类型id
     */
    public String getCategoryId() {
        return categoryId;
    }
    /**
     * 设置：商品类型名
     */
    public void setCategoryName(String categoryName) {
        this.categoryName = categoryName;
    }

    /**
     * 获取：商品类型名
     */
    public String getCategoryName() {
        return categoryName;
    }
    /**
     * 设置：起征点
     */
    public void setMixAmount(BigDecimal mixAmount) {
        this.mixAmount = mixAmount;
    }

    /**
     * 获取：起征点
     */
    public BigDecimal getMixAmount() {
        return mixAmount;
    }
    /**
     * 设置：税率
     */
    public void setTaxRate(BigDecimal taxRate) {
        this.taxRate = taxRate;
    }

    /**
     * 获取：税率
     */
    public BigDecimal getTaxRate() {
        return taxRate;
    }
    /**
     * 设置：启用状态
     */
    public void setEnableFlag(Integer enableFlag) {
        this.enableFlag = enableFlag;
    }

    /**
     * 获取：启用状态
     */
    public Integer getEnableFlag() {
        return enableFlag;
    }
}
